Get Grid Preferences

get

/preferences/grid

Returns the grid preferences from the session.

Request

There are no request parameters for this operation.

Back to Top

Response

200 Response

OK

Grid preferences retrieved successfully.

400 Response

Bad Request

Failed to get grid preferences. The session may be invalid.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get the current Essbase session's grid preferences.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/preferences/grid" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%

Example of Response Body

{
  "maxRows" : 0,
  "indentation" : "SUBITEMS",
  "cellText" : true,
  "columnSupression" : {
    "zero" : false,
    "missing" : false,
    "underScore" : false,
    "derived" : false,
    "noAccess" : false,
    "emptyBlocks" : false,
    "invalid" : false,
    "error" : false
  },
  "zoomIn" : {
    "ancestor" : "top",
    "mode" : "children"
  },
  "navigate" : true,
  "includeSelection" : true,
  "repeatMemberLabels" : true,
  "withinSelectedGroup" : false,
  "removeUnSelectedGroup" : false,
  "includeDescriptionLabel" : false,
  "missingText" : "#Missing",
  "noAccessText" : "#No Access",
  "formulaRetention" : {
    "comments" : false,
    "retrive" : false,
    "zoom" : false,
    "focus" : false,
    "fill" : false
  },
  "maxColumns" : 0,
  "rowSupression" : {
    "zero" : false,
    "missing" : false,
    "underScore" : false,
    "derived" : false,
    "noAccess" : false,
    "emptyBlocks" : false,
    "invalid" : false,
    "error" : false
  }
}
Back to Top